---
title: "Ingest Excel"
url: "https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2/operations/ingest_excel_ingestion_xlsx_post"
---

> Full API specification: https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2.md

# Ingest Excel

`POST` `/migros/human-resources/hrsolcomp/v1/ingestion/xlsx`

Operation ID: `ingest_excel_ingestion_xlsx_post`

Ingest an Excel file into Dataverse. Uses the same transformation pipeline as test_ingestion.py: rename columns, prepare for Dataverse, and create records.

## Header parameters

- `authorization` (string, optional)

## Request body (required)

Content types: `multipart/form-data`

## Responses

- `200` - Successful Response
- `422` - Validation Error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: HR25 Compensation API
  version: 0.1.0
servers:
  - url: https://hr25-comp.service.migros.cloud
paths:
  /migros/human-resources/hrsolcomp/v1/ingestion/xlsx:
    post:
      description: |-
        Ingest an Excel file into Dataverse.

        Uses the same transformation pipeline as test_ingestion.py:
        rename columns, prepare for Dataverse, and create records.
      operationId: ingest_excel_ingestion_xlsx_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            title: Authorization
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: "#/components/schemas/Body_ingest_excel_ingestion_xlsx_post"
        required: true
      responses:
        "200":
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Ingest Excel Ingestion Xlsx Post
                type: object
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Ingest Excel
      tags:
        - ingestion
      x-kong-route-defaults:
        strip_path: true
        tags:
          - hr25-comp
components:
  schemas:
    Body_ingest_excel_ingestion_xlsx_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: Body_ingest_excel_ingestion_xlsx_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: "#/components/schemas/ValidationError"
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
```
